# Uses of Interface
org.eclipse.birt.report.model.api.metadata.IMetaDataDictionary

Packages that use IMetaDataDictionary
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl

## Uses of IMetaDataDictionary in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return IMetaDataDictionary
Modifier and Type
Method
Description
`IMetaDataDictionary`
DesignEngine.`getMetaData()`
Gets the meta-data of the design engine.
`IMetaDataDictionary`
IDesignEngine.`getMetaData()`
Gets the meta-data of the design engine.
`static IMetaDataDictionary`
DesignEngine.`getMetaDataDictionary()`
Deprecated.

## Uses of IMetaDataDictionary in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl that return IMetaDataDictionary
Modifier and Type
Method
Description
`IMetaDataDictionary`
DesignEngineImpl.`getMetaData()`
Gets the meta-data of the design engine.